/****
 *
 * Exemplo: Macros
 *
 * Captulo: 2
 * Seo: 2.5.1
 *
 * Demonstra: Definies e chamadas de macros
 *
 ****/

#include <stdio.h>

#define  QUADRADO(a) ((a)*(a))
#define  QUADRADO_ERRADO1(a) (a)*(a)
#define  QUADRADO_ERRADO2(a) (a*a)

int main(void)
{
   int x, y, z;

   x = QUADRADO(5);
   printf("x = %d\n", x);

   y = 100/QUADRADO_ERRADO1(5);
   printf("y = %d\n", y);

   z = QUADRADO_ERRADO2(3 + 1);
   printf("z = %d\n", z);

   return 0;
}

/****************** Resultado do Programa *****************

x = 25
y = 100
z = 7

**********************************************************/

