/****
 *
 * Exemplo: Uso de arrays como parmetros
 *
 * Seo: 3.5
 *
 ****/

#include <stdio.h>

void ExibeArrayInts(const int ar[], int tamanho)
{
   int i;

      /* Se o nmero de elementos for menor do que ou */
      /* igual a zero, escreve as chaves e retorna    */
   if (tamanho <= 0) {
      printf("\n\t{ }\n");
      return;
   }

      /* Escreve abre-chaves */
   printf("\n\t{ ");

      /* Escreve do primeiro ao penltimo elemento */
   for (i = 0; i < tamanho - 1; ++i) {
      printf("%d, ", ar[i]);
   }

      /* Escreve o ltimo elemento separadamente para */
      /* que no haja uma vrgula sobrando ao final   */
   printf("%d }\n",  ar[tamanho - 1]);
}

int main(void)
{
   int array[] = {5, -1, 0, 4, 5, -8, 9};

   printf("\n\t   ****** Array ******\n");
   ExibeArrayInts(array, sizeof(array)/sizeof(array[0]));

   return 0;
}

/****************** Resultado do Programa ******************

           ****** Array ******

        { 5, -1, 0, 4, 5, -8, 9 }

***********************************************************/
