/****
 *
 * Exemplo: Aninho de estruturas
 *
 * Seo: 3.10
 *
 ****/

#include <stdio.h>

typedef struct  {
           int  dia, mes, ano;
        } tData;

typedef struct  {
           char   nome[30];
           tData  nascimento;
        } tRegistro2;

int main(void)
{
   tRegistro2 pessoa = { "Jose da Silva", {12, 10, 1960} };
   tRegistro2 *ptrPessoa = &pessoa;

   printf("\n\n***** Usando pessoa *****\n\n");

   printf("Nome: %s\n", pessoa.nome);
   printf( "Nascimento: %d/%d/%d\n", pessoa.nascimento.dia,
           pessoa.nascimento.mes, pessoa.nascimento.ano );

   printf("\n***** Usando ptrPessoa *****\n\n");

   printf("Nome: %s\n", ptrPessoa->nome);
   printf( "Nascimento: %d/%d/%d\n", ptrPessoa->nascimento.dia,
           ptrPessoa->nascimento.mes, ptrPessoa->nascimento.ano );

   return 0;
}

/****************** Resultado do Programa ******************

***** Usando pessoa *****

Nome: Jose da Silva
Nascimento: 12/10/1960

***** Usando ptrPessoa *****

Nome: Jose da Silva
Nascimento: 12/10/1960

***********************************************************/
