/****
 *
 * Exemplo: Recurso de Cauda
 *
 * Seo: 4.4
 *
 * Descrio: Overflow no clculo de fatorial
 *
 ****/

#include <stdio.h>

long long int Fatorial(long long int n)
{
   long long int i, fat = 1;

   if (n < 0)
      return -1; /* Erro de domnio */

   for (i = 1; i <= n; ++i)
      fat *= i;

   return fat;
}

int main(void)
{
   long long int i, f;

   for (i = 10; ; ++i) {
      f = Fatorial(i);

      if (f < 0)  /* Ocorreu overflow */
         break;
   }

   printf("\nFatorial(%lld) = %lld\n", i, f);
   printf("\nFatorial(%lld) = %lld\n", i-1, Fatorial(i-1));

   return 0;
}

/****************** Resultado do Programa *****************

Fatorial(21) = -4249290049419214848

Fatorial(20) = 2432902008176640000

**********************************************************/
