/****
 *
 * Ttulo: Nmeros Complexos como um Tipo Abstrato de Dados
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 16/04/2014
 * ltima modificao: 16/04/2014
 *
 * Descrio: Implementa o tipo de dados tComplexo que
 *            representa nmeros complexos munido das
 *            operaes: iniciao, soma e exibio na tela
 *
 * Entrada: No h
 *
 * Sada: O resultado da soma de dois nmeros complexos
 *
 ****/

#include <stdio.h>      /* printf() */
#include "Complexos2.h" /* Interface do tipo tComplexo2 */

/****
 *
 * main(): Testa operaes sobre nmeros complexos
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main (void)
{
   tComplexo2 c1 = CriaComplexo(2, 3),
              c2 = CriaComplexo(3, 2),
              c3;

   ExibeComplexo(c1);
   printf(" + ");
   ExibeComplexo(c2);
   printf(" = ");

   ExibeComplexo(SomaComplexos(c1, c2));

      /* Se qualquer delimitador de comentrio na linhas    */
      /* a seguir for removido, ocorrer erro de compilao */
//   c3.pReal = c1.pReal + c2.pReal;
//   c3->pReal = c1->pReal + c2->pReal;

   return 0;
}

/****************** Resultado do Programa *****************

2.00 +  3.00i +  3.00 +  2.00i =  5.00 +  5.00i

**********************************************************/
