/****
 *
 * Exemplo: Algoritmos Recursivos e Relaes de Recorrncia
 *
 * Seo: 6.9
 *
 * Descrio:
 *
 ****/

#include <stdio.h> /* printf() */

int Fatorial(int n)
{
   if (n < 0) {
      return -1; /* Erro de domnio */
   }

   if (!n) {
      return 1; /* Base da recurso */
   }

   return n*Fatorial(n - 1); /* Caso recursivo */
}

/****
 *
 * main(): Testa a funo Fatorial()
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int ar[] = {-1, -3, 5, 2, 1};

   printf( "\nFatorial de 5: %d\n", Fatorial(5) );

   return 0;
}

/****************** Resultado do Programa *****************

Fatorial de 5: 120

**********************************************************/
