#ifndef _Lista_H_
#define _Lista_H_

/***************** Constantes Simblicas ******************/

   /* Nmero mximo de elementos numa lista */
#define MAX_ELEMENTOS 20

/****************** Definies de Tipos *******************/

typedef int tElemento;

typedef struct {
           int       nElementos; /* Nmero de elementos */
           tElemento elementos[MAX_ELEMENTOS]; /* Os elementos */
        } tListaIdx;

/******************* Aluses de Funes *******************/

extern void IniciaListaIdx(tListaIdx *lista);
extern int ComprimentoListaIdx(const tListaIdx *lista);
extern tElemento ObtemElementoListaIdx(const tListaIdx *lista, int indice);
extern int InsereListaIdx(tListaIdx *lista, tElemento item, int indice);
extern tElemento RemoveListaIdx(tListaIdx *lista, int indice);
extern int EstaVaziaListaIdx(const tListaIdx *lista);
extern int BuscaListaIdx(const tListaIdx *lista, tElemento elemento);
extern int AcrescentaListaIdx(tListaIdx *lista, tElemento elemento);
extern int AlteraElementoListaIdx(tListaIdx *lista, int indice, tElemento novoValor);

#endif
