#ifndef _Pilha1_H_
#define _Pilha1_H_

#define MAX_ELEMENTOS 20

typedef struct {
           char origem, destino, aux;
           int n;
        } tEstado;

typedef tEstado tItemPilha;

typedef struct  {
           tItemPilha itens[MAX_ELEMENTOS];
           int       topo;
        } tPilhaIdx;

extern void CriaPilhaIdx(tPilhaIdx *p);
extern int PilhaIdxVazia(const tPilhaIdx *p);
extern tItemPilha ElementoTopoIdx(const tPilhaIdx *p);
extern void EmpilhaIdx(const tItemPilha *item, tPilhaIdx *p);
extern tItemPilha DesempilhaIdx(tPilhaIdx *p);

#endif
