#ifndef _Lista_H_
#define _Lista_H_

/***************** Constantes Simblicas ******************/

   /* Nmero mximo de caracteres num nome */
#define MAX_NOME      20
   /* Nmero de caracteres numa matrcula  */
#define TAM_MATR      4

/****************** Definies de Tipos *******************/

typedef char tNome[MAX_NOME + 1]; /* Tipo do nome */

typedef char tMatricula[TAM_MATR + 1]; /* Tipo da matrcula */

typedef struct {
           tNome      nome;   /* Nome do aluno */
           tMatricula matr;   /* Sua matrcula */
           double     n1, n2; /* Suas notas    */
        } tAluno;

typedef tAluno tElemento;

typedef struct rotListaIdxD *tListaIdxD;

/******************* Aluses de Funes *******************/

extern tListaIdxD CriaListaIdxD(void);
extern void DestroiListaIdxD(tListaIdxD lista);
extern int ComprimentoListaIdxD(tListaIdxD lista);
extern tElemento ObtemElementoListaIdxD(tListaIdxD lista, int indice);
extern void InsereListaIdxD(tListaIdxD lista, tElemento item, int indice);
extern tElemento RemoveListaIdxD(tListaIdxD lista, int indice);
extern int EstaVazia(tListaIdxD lista);
extern int BuscaSequencialListaIdxD(tListaIdxD lista, tMatricula matrProcurada);
extern void AcrescentaListaIdxD(tListaIdxD lista, const tElemento *elemento);
extern void AlteraElementoListaIdxD(tListaIdxD lista, int indice,
                                    const tElemento *novoValor);

#endif
