#ifndef _Lista_H_
#define _Lista_H_

/******************* Definies de Tipos ******************/

   /* Tipo do contedo de cada n de uma lista encadeada */
typedef int tConteudo;

   /* Tipo de n e tipo de ponteiro para n de uma lista duplamente encadeada */
typedef struct rotNoLDEC {
           struct rotNoLDEC *anterior;
           tConteudo         conteudo;
           struct rotNoLDEC *proximo;
        } tNoListaDEC, *tListaDEC;

/************************* Aluses ************************/

extern void IniciaListaDEC(tListaDEC *lista);
extern int ComprimentoListaDEC(tListaDEC lista);
extern void InsereEmOrdemLDEC(tListaDEC *lista, tConteudo conteudo);
extern int RemoveListaDEC(tListaDEC *lista, tConteudo conteudo);
extern int EstaVaziaListaDEC(tListaDEC lista);
extern tConteudo *BuscaListaDEC(tListaDEC lista, tConteudo valor);
extern int AlteraConteudoLDEC(tListaDEC lista,
                             tConteudo antigo, tConteudo novo);
extern void DestroiListaDEC(tListaDEC *lista);
extern tConteudo *ProximoListaDEC(tListaDEC lista);
extern tConteudo *AnteriorListaDEC(tListaDEC lista);

#endif
