#ifndef _Lista_H_
#define _Lista_H_

/******************* Definies de Tipos ******************/

   /* Tipo do contedo de cada n de uma lista encadeada */
typedef int tConteudo;

   /* Tipo de n e tipo de ponteiro para n de uma lista duplamente encadeada */
typedef struct rotNoLDECCab {
           struct rotNoLDECCab *anterior;
           tConteudo            conteudo;
           struct rotNoLDECCab *proximo;
        } tNoLDECCab, *tListaDECCab;

/************************* Aluses ************************/

extern tListaDECCab CriaListaDECCab(void);
extern int ComprimentoListaDECCab(tListaDECCab lista);
extern void InsereEmOrdemLDECCab(tListaDECCab *lista, tConteudo conteudo);
extern int RemoveListaDECCab(tListaDECCab *lista, tConteudo conteudo);
extern int EstaVaziaListaDECCab(tListaDECCab lista);
extern tConteudo *BuscaListaDECCab(tListaDECCab lista, tConteudo valor);
extern int AlteraConteudoLDECCab(tListaDECCab lista,
                                 tConteudo antigo, tConteudo novo);
extern void DestroiListaDECCab(tListaDECCab *lista);
extern tConteudo *ProximoListaDECCab(tListaDECCab lista);
extern tConteudo *AnteriorListaDECCab(tListaDECCab lista);

#endif
