/****
 *
 * Ttulo: Um Algoritmo com Estimativa O(n)
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 16/04/2014
 * ltima modificao: 16/04/2014
 *
 * Descrio: Apresenta um Algoritmo com Estimativa O(n)
 *
 * Entrada: Nenhuma
 *
 * Sada: v Resultado do Programa
 *
 ****/

#include <stdio.h> /* printf() */

void ExibeArray(int ar[], int n)
{
   for (int i = 0; i < n; ++i)
      printf("%d\t", ar[i]);
}

/****
 *
 * main(): Testa a funo ExibeArray()
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int ar[] = {-1, -3, 5, 2, 1};

   printf("\n   *** Elementos do array ***\n\n");

   ExibeArray(ar, sizeof(ar)/sizeof(ar[0]));

   return 0;
}

/****************** Resultado do Programa *****************

   *** Elementos do array ***

-1      -3      5       2       1

**********************************************************/
