#ifndef _Pilha_H_
#define _Pilha_H_

/***************** Constantes Simblicas ******************/

#define  MAX_ELEMENTOS 20

/****************** Definies de Tipos *******************/

typedef char tItemPilha;

typedef struct  {
            tItemPilha itens[MAX_ELEMENTOS];
            int        topo;
        } tPilhaIdx;

/******************* Aluses de Funes *******************/

extern void CriaPilhaIdx(tPilhaIdx *p);
extern int PilhaIdxVazia(const tPilhaIdx *p);
extern tItemPilha ElementoTopoIdx(const tPilhaIdx *p);
extern void EmpilhaIdx(tPilhaIdx *p, const tItemPilha *item);
extern tItemPilha DesempilhaIdx(tPilhaIdx *p);

#endif
