#include <stdio.h>   /* Funes de Entrada/Sada  */
#include "Pilha.h"  /* Declaraes do tipo pilha */
                    /* implementada com array    */

/****
 *
 * main()
 *
 * Testa as operaes sobre pilhas. O resultado deve ser o mesmo,
 * quer utilizem-se pilhas alocadas com array, quer utilizem-se
 * pilhas alocadas dinamicamente.
 *
 ****/
int main (void)
{
   tPilhaIdxD pilha;
   char   c;

   CriaPilhaIdxD(&pilha);  /* Inicializa a pilha */

   c = 'a';
   EmpilhaIdxD(&pilha, (tItemPilha *) &c);  /* Empilha 'a' */

   c = 'b';
   EmpilhaIdxD(&pilha, (tItemPilha *) &c);  /* Empilha 'b' */

   c = 'c';
   EmpilhaIdxD(&pilha, (tItemPilha *) &c);  /* Empilha 'c' */

      /* Exibe na tela o elemento no topo da pilha sem desempilh-lo */
   printf("\nElemento no topo: %c", ElementoTopoIdxD(&pilha));

      /* Desempilha e imprime sucessivamente os elementos no topo da pilha */
   printf("\nDesempilhado: %c", DesempilhaIdxD(&pilha));
   printf("\nDesempilhado: %c", DesempilhaIdxD(&pilha));
   printf("\nDesempilhado: %c", DesempilhaIdxD(&pilha));

   return 0;
}

/************* Resultado da Execuo do Programa *************
 *
 * Elemento no topo: c
 * Desempilhado: c
 * Desempilhado: b
 * Desempilhado: a
 *
 *************************************************************/
