#ifndef _Lista_H_
#define _Lista_H_

/****************** Definies de Tipos *******************/

   /* Tipo do contedo de cada n de uma lista encadeada */
typedef int tConteudo;

   /* Tipo de n e tipo de ponteiro  */
   /* para n de uma lista encadeada */
typedef struct rotNoLSE {
           tConteudo        conteudo;
           struct rotNoLSE *proximo;
        } tNoListaSE, *tListaSE;

/************************* Aluses ************************/

extern void IniciaListaSE(tListaSE *lista);
extern int ComprimentoListaSE(tListaSE lista);
extern void InsereListaSE(tListaSE *lista, tConteudo conteudo);
extern int RemoveListaSE(tListaSE *lista, tConteudo conteudo);
extern int EstaVaziaListaSE(tListaSE lista);
extern tConteudo *BuscaListaSE(tListaSE lista, tConteudo valor);
extern int AlteraConteudoListaSE(tListaSE lista, tConteudo antigo, tConteudo novo);
extern void DestroiListaSE(tListaSE *lista);
extern tConteudo *ProximoListaSE(tListaSE lista);

#endif
