#ifndef _Lista_H_
#define _Lista_H_

/******************* Definies de Tipos ******************/

   /* Tipo do contedo de cada n de uma lista encadeada */
typedef int tConteudo;

   /* Tipo de n e tipo de ponteiro para n de uma lista duplamente encadeada */
typedef struct rotNoLDE {
           struct rotNoLDE *anterior;
           tConteudo        conteudo;
           struct rotNoLDE *proximo;
        } tNoListaDE, *tListaDE;

/************************* Aluses ************************/

extern void IniciaListaDE(tListaDE *lista);
extern int ComprimentoListaDE(tListaDE lista);
extern void InsereEmOrdemLDE(tListaDE *lista, tConteudo conteudo);
extern int RemoveListaDE(tListaDE *lista, tConteudo conteudo);
extern int EstaVaziaListaDE(tListaDE lista);
extern tConteudo *BuscaListaDE(tListaDE lista, tConteudo valor);
extern int AlteraConteudoLDE(tListaDE lista,
                             tConteudo antigo, tConteudo novo);
extern void DestroiListaDE(tListaDE *lista);
extern tConteudo *ProximoListaDE(tListaDE lista);
extern tConteudo *AnteriorListaDE(tListaDE lista);

#endif
