/******
 *
 * Arquivo Pilha.h: Interface do mdulo Pilha
 *
 *****/

#ifndef _Pilha_H_
#define _Pilha_H_

/****************** Definies de Tipos *******************/

typedef  char tItemPilha;

typedef struct rotPilhaSE *tPilhaSE;

/******************* Aluses de Funes *******************/

extern void CriaPilhaSE(tPilhaSE *p);
extern void DestroiPilhaSE(tPilhaSE *pilha);
extern int EstaVaziaPilhaSE(const tPilhaSE *p);
extern tItemPilha ElementoTopoSE(const tPilhaSE *p);
extern void EmpilhaSE(tPilhaSE *p, const tItemPilha *item);
extern tItemPilha DesempilhaSE(tPilhaSE *p);

#endif
