/****
 *
 * Exemplo: Ponteiros para Funes
 *
 * Seo: 11.1
 *
 * Demonstra: Funo que retorna um ponteiro para funo
 *
 ****/

#include <stdlib.h>
#include <stdio.h>

typedef int (*tFuncPtr) (double);

extern int  F1(double);
extern int  F2(double);

tFuncPtr EscolheFuncao(int condicao)
{
   if (condicao)
      return  F1;

   return  F2;
}

int (*EscolheFuncao2(int condicao))(double)
{
   if (condicao)
      return  F1;

   return  F2;
}

int main(void)
{
   int umInt = 1;
   int (*pf)(double);

   pf = EscolheFuncao2(umInt);
   pf = EscolheFuncao(umInt);

   return 0;
}
