/****
 *
 * Arquivo: PilhaG.h
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 01/05/2013
 * ltima modificao: 01/05/2013
 *
 * Descrio: Interface do mdulo PilhaG
 *
 ****/

   /* Previne incluso mltipla deste arquivo */
#ifndef _PilhaG_H_
#define _PilhaG_H_

/****************** Definies de Tipos *******************/

   /* Tipo de uma pilha genrica */
typedef struct {
           void *elementos; /* Ponteiro para o continer */
                            /* de elementos da pilha     */
           int   tamElemento;/* Tamanho de cada elemento */
           int   nElementos; /* Nmero de elementos */
                             /* na pilha            */
           int   capacidade; /* Tamanho corrente */
                             /* do continer     */
        } tPilhaGen;

/******************* Aluses de Funes *******************/

extern void CriaPilhaG(tPilhaGen *p,int tamElemento);
extern void DestroiPilhaG(tPilhaGen *p);
extern int PilhaVaziaG(const tPilhaGen *p);
extern void EmpilhaG(tPilhaGen *p, const void *pItem);
extern void *DesempilhaG(tPilhaGen *p, void *pItem);
extern void *ElementoTopoG(const tPilhaGen *p, void *pItem);

#endif
