#ifndef _Fila_H_
#define _Fila_H_

#include "Arvore.h"

/****************** Definies de Tipos *******************/

typedef struct rotFila *tFila;

/******************* Aluses de Funes *******************/

extern void CriaFila(tFila *f);
extern void DestroiFila(tFila *f);
extern int FilaVazia(const tFila *f);
extern tArvore ElementoFrente(const tFila *f);
extern void Acrescenta(tFila *f, const tArvore *item);
extern tArvore Retira(tFila *f);

#endif
